Skip to content
Permalink
Browse files

Show warning for required version, because there is no ways to disabl…

…e Extension point. Usage on such version will end with ClassNotFound exception. Fixed in [JENKINS-23127].
  • Loading branch information
KostyaSha committed May 22, 2014
1 parent d5178f3 commit efad46a5c7f9165ae37103dc24efd5f3f12ba3ce
@@ -82,7 +82,10 @@ public boolean isForceExistingJobs() {

@Override
public String getDisplayName() {
return Messages.RoleBasedAuthorizationStrategy_DisplayName();
String name = Messages.RoleBasedAuthorizationStrategy_DisplayName();
if (!RoleBasedAuthorizationStrategy.isCreateAllowed())
name += " (<font color=\"red\">(Require >1.565 core)</font>";
return name;
}

}

0 comments on commit efad46a

Please sign in to comment.
You can’t perform that action at this time.